GNU bug report logs - #25542
25.1; Restoring the frame from fullscreen to maximized

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dani Moncayo <dmoncayo@HIDDEN>; dated Thu, 26 Jan 2017 08:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 18:02:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 13:02:18 2017
Received: from localhost ([127.0.0.1]:45811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWoNF-00059d-Ty
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:02:18 -0500
Received: from mail-ot0-f196.google.com ([74.125.82.196]:36411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cWoND-00059Q-W4
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:02:16 -0500
Received: by mail-ot0-f196.google.com with SMTP id 36so28217764otx.3
 for <25542 <at> debbugs.gnu.org>; Thu, 26 Jan 2017 10:02:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=q63TzEsJuaT9UsdK6l1CHBK5WHxP4ZkfMcj/o0I4JYs=;
 b=t2JDnYPtRlhbggBRmfAs6DdvnR0EQEcq6LCbAATP3sm9zv+UIndupL/yaIbxQLsVWg
 g5WJalEjQ/5V2BXKqn2shN2vJlqeuQbF+U89FnfdePHUylmdOI5EE/ybEe0OnanmIak8
 NfsbGucxcHB3lJrTm2gTWNka63OJO8bqrgDJbX6vXWxmNA1ZY/jeAIXuJpHHQI+KOZAA
 UmoJ4m4ymF6gq9aP7g9ukpbF2hDWqZvixb/b6Y2vM7uaECAdCqfx5cU3Wum1ZysycaJk
 TI4PnY2hO+Ss7jtAqjIbmbcc8xe/wPTdYgDZ+rsVfaVN8pC0eK+FlMuTydsX5pa6LIMr
 501g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=q63TzEsJuaT9UsdK6l1CHBK5WHxP4ZkfMcj/o0I4JYs=;
 b=sMLC82C6IADeORohuhH0OrnWzlFbZgPK3t6yJr6ZXoBAHr41P89Z/247VXAb3tCnl9
 f9muq3ppAAQt6QfYOMneM5Fll/+Ue/62EM//j7zXlIqefpWUHTChUlLlL+axmc0KjJmN
 HmKoBS9MCBgDQVK2ojUy5ICpUR56lz/fgVB+p0dp2UdxW9mH/oYe2SvjMESjrBlsbkbd
 jbb3nVSrHg1DHy57OQ/emPA4SDymwIKQuBS3KbzXs2Q1JJpeX8H3GSdYcZVs7Af2bXbO
 tYYIDuCqvYk3cTyeFucUPH75loOzZIFrjDBhW6jTw3dX9HTN5S1FaZrVblkrwOjHmDLN
 PgSA==
X-Gm-Message-State: AIkVDXLlACwzwtwqRPdwCRd/y1c+7ovO3pEMY5jpziNCEh4jbHPDjQyheiFvMeGTHSbDuOw/HaeWAD49oAuZ8Q==
X-Received: by 10.157.42.202 with SMTP id e68mr1723277otb.221.1485453730300;
 Thu, 26 Jan 2017 10:02:10 -0800 (PST)
MIME-Version: 1.0
Received: by 10.157.21.117 with HTTP; Thu, 26 Jan 2017 10:02:09 -0800 (PST)
In-Reply-To: <CAH8Pv0if3efDoUpusomCvyCXFuSi4hkhz6D1OuPp2djLqTR6jA@HIDDEN>
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
 <CAH8Pv0ib4OhMio1StVomSs-dqoKk=ppoL3Ds-ixdDXiB8UiAMA@HIDDEN>
 <CAH8Pv0if3efDoUpusomCvyCXFuSi4hkhz6D1OuPp2djLqTR6jA@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Thu, 26 Jan 2017 13:02:09 -0500
X-Google-Sender-Auth: MSBAh7dGId13kP-Zgw7cGjunxkU
Message-ID: <CAM-tV-9H5vDx3QSnZM47GK-wg-phGwrqG+SSq-4kky8tH8+dew@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
To: Dani Moncayo <dmoncayo@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25542
Cc: martin rudalics <rudalics@HIDDEN>, 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Thu, Jan 26, 2017 at 12:49 PM, Dani Moncayo <dmoncayo@HIDDEN> wrote:
> Hello,
>
> I've just realized another detail required to reproduce the problem:
> the Windows taskbar must be docked to the left side of the screen.
> (If I move the taskbar to the bottom side --its default position--,
> then I cannot reproduce the problem).
>
> I've just reproduced the problem also with a native MS-Windows build
> of Emacs (a recent build from the emacs-25 branch):

I can confirm with 25.1 and master. Oddly enough, having the taskbar
on the *right* side of screen (which I usually do) doesn't trigger
this issue either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 17:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 12:49:58 2017
Received: from localhost ([127.0.0.1]:45807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWoBJ-0004rV-OL
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 12:49:57 -0500
Received: from mail-lf0-f46.google.com ([209.85.215.46]:35953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWoBH-0004rI-Kv
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 12:49:56 -0500
Received: by mail-lf0-f46.google.com with SMTP id z134so149506785lff.3
 for <25542 <at> debbugs.gnu.org>; Thu, 26 Jan 2017 09:49:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=ujDbN9/doB+MIhWiX40Qqk8xvahEXH81NQjLVozyg6E=;
 b=XuuWF0pnPi4gjsX4Z6g39NXxNVMC0iyY/+KBCdMuSix8WW9/Yfepz6jvkjbu6UqEt7
 r9CSTzgWbrkqu2p8eRBjeZ6VwrA/Hgd6FLOA5B5MEpU0H+ACnfPsMGhqXe+evDcXHJ08
 JSKK+k/VhQtgXE0+v8L9OWPSYlYVfQ4d9uyh0WfCZldNH7wXa6DI5wFB/XykPQu7WLj4
 OkH+cGpembHc52th/u/DyEZmg6XQCTf2uAK1sj10oLR8mARZ8aRLyH19IZfhgA1T/5ZS
 udpkCySG2MabFHLcyO3wxeZzihc/OOGENcjp3v9IB55Ra8UrLx45pOL/HbmuebHYz+7J
 S2nA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=ujDbN9/doB+MIhWiX40Qqk8xvahEXH81NQjLVozyg6E=;
 b=S9LBeYvfP56YuR6yNBQyKxUUbQkiHVsVqs4kZm9j6Tl+C8pf3gUhh51qW56+Ye2wHH
 HU+xtbtD/yP6C7u1cHjPnxItAXpE2bPpo+voxt5WtxCU1tH00xJ3FyMrMFOBVzq+EMbd
 I/9i64BygKoSf9GIlSkmbzCAW1r27QW26+UzaAIOw3eUd7I2JGqX2EsykQqDGZJOodQp
 1LVy3mqxLepjxCUQ89Fz9SV6qVi5VQz6N/QKGZnVhyCPyZmuhnrDYX8l07raXwlt+lyX
 iUh06OwYk42V15IG0+DbQrsoGNlM8fBrHQmq30bapEOOfdhTMopOEgIm4N41SiBMer5V
 JNtw==
X-Gm-Message-State: AIkVDXJumd3+Gt8uJjdT/qPqHfw8iakcAKJ0KxrhpzQhWCQz2eiUMtvKsj55bRZHo4xo5MOOCEC11Msakn8EqA==
X-Received: by 10.25.145.89 with SMTP id y25mr1444876lfj.102.1485452989616;
 Thu, 26 Jan 2017 09:49:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.24.194 with HTTP; Thu, 26 Jan 2017 09:49:48 -0800 (PST)
In-Reply-To: <CAH8Pv0ib4OhMio1StVomSs-dqoKk=ppoL3Ds-ixdDXiB8UiAMA@HIDDEN>
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
 <CAH8Pv0ib4OhMio1StVomSs-dqoKk=ppoL3Ds-ixdDXiB8UiAMA@HIDDEN>
From: Dani Moncayo <dmoncayo@HIDDEN>
Date: Thu, 26 Jan 2017 18:49:48 +0100
Message-ID: <CAH8Pv0if3efDoUpusomCvyCXFuSi4hkhz6D1OuPp2djLqTR6jA@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Hello,

I've just realized another detail required to reproduce the problem:
the Windows taskbar must be docked to the left side of the screen.
(If I move the taskbar to the bottom side --its default position--,
then I cannot reproduce the problem).

I've just reproduced the problem also with a native MS-Windows build
of Emacs (a recent build from the emacs-25 branch):

  In GNU Emacs 25.1.90.1 (i686-pc-mingw32)
   of 2016-12-28 built on LEG570
  Repository revision: 697167b5432a89db009238cf5cbddc61e69ad339
  Windowing system distributor 'Microsoft Corp.', version 10.0.14393
  Configured using:
   'configure --host=i686-pc-mingw32'

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 16:10:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 11:10:36 2017
Received: from localhost ([127.0.0.1]:45746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWmdA-0007bA-9M
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:10:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cWmd8-0007ax-LA
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:10:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cWmcz-0001rH-CF
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:10:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.7 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49875)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cWmcz-0001r7-A3; Thu, 26 Jan 2017 11:10:25 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3603
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cWmcy-000630-27; Thu, 26 Jan 2017 11:10:24 -0500
Date: Thu, 26 Jan 2017 18:10:08 +0200
Message-Id: <83a8ad3iqn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV--+noz2uiosRZfKCQdY7PyCnhifE0-7HtQe0Ak1ikWHpg@HIDDEN>
 (message from Noam Postavsky on Thu, 26 Jan 2017 10:43:29 -0500)
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
 <588A0102.7010704@HIDDEN>
 <CAM-tV--+noz2uiosRZfKCQdY7PyCnhifE0-7HtQe0Ak1ikWHpg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 25542
Cc: rudalics@HIDDEN, 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Thu, 26 Jan 2017 10:43:29 -0500
> Cc: 25542 <at> debbugs.gnu.org
> 
> On Thu, Jan 26, 2017 at 9:00 AM, martin rudalics <rudalics@HIDDEN> wrote:
> >
> >> BTW, I forgot to mention that my OS (on which Cygwin is installed) is
> >> MS-Windows 10 Enterprise.
> >
> > Can anyone with a native build on Windows 10 reproduce the problem?
> 
> Does not reproduce for me on Windows 10 using the native 25.1 release
> or master from a few days ago.

That's strange, since the Cygwin w32 build is supposed to use the same
code as the native build for its GUI display backend.

Maybe Dani could test a native build on the same system?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 16:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 11:08:30 2017
Received: from localhost ([127.0.0.1]:45742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWmb7-0007Y6-UT
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:08:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cWmb6-0007Xr-Hm
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:08:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cWmay-0000Oo-9r
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 11:08:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49717)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cWmay-0000OQ-63; Thu, 26 Jan 2017 11:08:20 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3600
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cWmax-0005RF-Du; Thu, 26 Jan 2017 11:08:19 -0500
Date: Thu, 26 Jan 2017 18:08:06 +0200
Message-Id: <83bmut3iu1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5889C6B4.8060506@HIDDEN> (message from martin rudalics on Thu,
 26 Jan 2017 10:51:48 +0100)
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org, dmoncayo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

> Date: Thu, 26 Jan 2017 10:51:48 +0100
> From: martin rudalics <rudalics@HIDDEN>
> 
>  > Recipe from "emacs -Q"
>  >
>  > 1. Maximize the frame using the mouse -- for example, on MS-Windows,
>  > either click on the "maximize" button or double click on the title
>  > bar.
>  >
>  > 2. Switch to fullscreen by pressing F11.
>  >
>  > 3. Press F11 again.
>  >
>  >
>  > Expected behavior: The frame goes to its previous state (i.e. maximized).
> 
> This is the behavior I get with my MinGW builds on Windows XP.

As do I.  I also tested on Windows 7, and I see the same expected
behavior there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 15:43:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 10:43:37 2017
Received: from localhost ([127.0.0.1]:45697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWmD3-0006u1-B7
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 10:43:37 -0500
Received: from mail-oi0-f47.google.com ([209.85.218.47]:36269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cWmD1-0006tp-Ub
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 10:43:36 -0500
Received: by mail-oi0-f47.google.com with SMTP id u143so140137370oif.3
 for <25542 <at> debbugs.gnu.org>; Thu, 26 Jan 2017 07:43:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=+LY1N/oYi0+2LQ+kKlCuRdeqx7FwrRg6FPhT1fOS2Lg=;
 b=shThRdOW14/eX4sN9osNbrL0mPbZ0gl9ZkPlIeurfWG2II1MWn0ggExHRtIsmsUq2g
 sRHALEtn/FQI4iTHDlr3cDF/fgRQuGdPLcx4cBU+YEZfwffan/ATU8IW4I8j2uoyC1D2
 v3NjeVuXtWbzznUQwyW+eHAiQEW8DDpxP0MhzRhYksQJQbHuT8206xeSv05E2GGh2AYf
 SecUj8Q14lK168UoRhmeNoEYRkVA2k41/Gh2wkrExGJ86ac/UtJ+h0tBAh38Rcr1t2fk
 hvV0xN//qUMbOt54kPuGEju5hx6TXtMd83UsRTqbuU2yGQ7JNZ3XeAGJLQYsPokrxPkA
 wVHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=+LY1N/oYi0+2LQ+kKlCuRdeqx7FwrRg6FPhT1fOS2Lg=;
 b=mpxcAQfJgQW2BARe53UVnr7tkrrpX9cQSmIQmBa2/p7DplEM2EdtmGfUkIZFp/YzvF
 bBMeQTxXr4MS6odjEd58XDwxw3GX8BsiivZdJyssRmOO4vBwdin0wooCnVWS7SI8Oxi9
 MWIjKdEaIWmvKMkCocmEzB2jQHEpFvrZYjAqAIMEG6tegiY5qfqi85ugMTvTBZUl4ETZ
 FxYj9GbheN4hXfdwxA/1aU030xlsrsI/cCiU6CFeOz7SIDGsUZRjikwsAKsGAcalq5o+
 nDZdXEbfsnqGK/o3hZWds4rHsu/seNCaNiOVOyzs9/RoemnN+iO+AWMmrcbHr2x27GxD
 5IFg==
X-Gm-Message-State: AIkVDXL1ZkS0+3mKUrGeN6Ai6ip9gTR6ww+Aw88YF05K+xWUH5cb5VnNCmbm3Pz/mG3tYsHzEpBhRs6OfL2t9g==
X-Received: by 10.202.105.70 with SMTP id e67mr2371730oic.26.1485445410156;
 Thu, 26 Jan 2017 07:43:30 -0800 (PST)
MIME-Version: 1.0
Received: by 10.157.21.117 with HTTP; Thu, 26 Jan 2017 07:43:29 -0800 (PST)
In-Reply-To: <588A0102.7010704@HIDDEN>
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
 <588A0102.7010704@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Thu, 26 Jan 2017 10:43:29 -0500
X-Google-Sender-Auth: neAJd_XIQtYIWdo3OA0xRkNNGuc
Message-ID: <CAM-tV--+noz2uiosRZfKCQdY7PyCnhifE0-7HtQe0Ak1ikWHpg@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org, Dani Moncayo <dmoncayo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Thu, Jan 26, 2017 at 9:00 AM, martin rudalics <rudalics@HIDDEN> wrote:
>
>> BTW, I forgot to mention that my OS (on which Cygwin is installed) is
>> MS-Windows 10 Enterprise.
>
> Can anyone with a native build on Windows 10 reproduce the problem?

Does not reproduce for me on Windows 10 using the native 25.1 release
or master from a few days ago.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 14:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 09:00:54 2017
Received: from localhost ([127.0.0.1]:44282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWkbe-0005qQ-Ld
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 09:00:54 -0500
Received: from mout.gmx.net ([212.227.15.15]:51527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cWkbc-0005qB-G9
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 09:00:53 -0500
Received: from [192.168.1.100] ([213.162.68.41]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MTCDO-1cxoDL0v6E-00S7lh; Thu, 26
 Jan 2017 15:00:45 +0100
Message-ID: <588A0102.7010704@HIDDEN>
Date: Thu, 26 Jan 2017 15:00:34 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
In-Reply-To: <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:II7fXA6zMn90fhRdcN4XD6ghcCfzSGvnKmsbF9gwCYZzNOBO/sC
 WImdb5qcejQFxukTJpRuyJi/K1Wl+OZZxhQaj9zYx7dOTJnY2M/GjIX9BQTXwKA6Sss9tVI
 /2Y28HDHTv+4EFN/S4bs+JSAq+SILsVmPLwpI+NZ9o7R9dpLya5T86kpu45ATzGZja8YbLf
 ggMscPV/V8mBKdyJCf4lw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:25R2meHZVB4=:/PePw+bz1MKWkTva+I/Qio
 WT2mJTQaKAgV6YVIHWc2WMuEhwfW7ex6n2eR7V5x+6NGUUDLHFaYW6no3OMb/Z4o1QYvfSyHR
 ZMCz442HVIs3WpdVgtqg30lrhoGZvqH1idbzc1SlgToYT0QMxQE1wzd43ktV3rWCuGNzkXVeH
 300HxinJg1hqtW0kBP9QqY0QB2oi5uQuYKS9y0Gfl7tOdyqOs68fB2FTi9txBpffI0wiUl+An
 k8enulisQpJ2EgCkprZjBUPh/4NZznOYrXtJHSYbh3cm5V3FxAY8G307kDqpRQFoWMBdrFmto
 mXPNXfNQIyfFlWqpnx5dviThPwjF7IeMM71+snaLK8WbTjHEHCbPjkK4veTRXlLZ/iMGX4Vz2
 xV1yRmrprXG2egKhnHwWE5OmhoOSi2/jjT2KQVJbUN2nCjO7zqLWEsaCVzxOzbcLtRIPDDod4
 pgOd55xrwbj4AzMRB3G7n9/5L80Ei9lgzUlAa8+LjQjSDFKIvtR3OHvAma1c+uO4gC8JfPrXy
 jPJMhkw1XfetKkbnOc45Hn7rL3DNxVaK60FXtz9GsY5VmDsZi74hh4p+/zZkGf/ZVlE1S5E/d
 HELE5KdkvwqTrEqgw+vDfxLcSjJeuRIEtkx1BcBJjgAz24K2Jxy08Epd/jH50o6RhheqVOf23
 NtzdpB+k3QR2KDB/xk4JuwVP3uKyuSpu73jn/pp/pkdDTSGhheGB50c1Q5quzVDE6GJN7Ag5D
 raXu2aXF9SYwCC9LWZHGWYwlMAx4FhXATgW/MUI30unrR9+2m0izJSL7JWx7H/2H2k39KyVDX
 pqAws+5u3M3qw1kriVpAo/3ywgGkg==
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >> What is that package "emacs-w32"? > > I'm not sure I
 understand
 your question, so my answer may be > trivial/useless to you, but anyway:
 Cygwin is a distribution of > software organized in packages. The name of
 one of those packages is > "emacs-w32" (you can search for it in the cygwin
 package manager). > Well, that is the package which includes the Emacs binary
 I'm using. [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [213.162.68.41 listed in dnsbl.sorbs.net]
 -1.2 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.15 listed in wl.mailspike.net]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.15 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.15 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> What is that package "emacs-w32"? > > I'm not sure I understand
    your question, so my answer may be > trivial/useless to you, but anyway:
   Cygwin is a distribution of > software organized in packages. The name of
   one of those packages is > "emacs-w32" (you can search for it in the cygwin
    package manager). > Well, that is the package which includes the Emacs binary
    I'm using. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.15 listed in dnsbl.sorbs.net]
 -1.2 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.15 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.15 listed in list.dnswl.org]
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [213.162.68.41 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 >> What is that package "emacs-w32"?
 >
 > I'm not sure I understand your question, so my answer may be
 > trivial/useless to you, but anyway:  Cygwin is a distribution of
 > software organized in packages.  The name of one of those packages is
 > "emacs-w32" (you can search for it in the cygwin package manager).
 > Well, that is the package which includes the Emacs binary I'm using.

I don't have Cygwin installed so I doubt that using its package manager
would make much sense for me.  Anyway, I suppose it provides a w32
executable, say emacs-w32.exe and some additional libraries.  I was a
bit confused by the term "package".

 > It's basically a build of Emacs made for the Cygwin platform, but
 > modified to use the native MS-Windows GUI, instead of X-Window or
 > another toolkit like GTK+.

We would probably have to look at these "modifications" in order to find
out what happens.  Meanwhile a few questions:

(1) What is the appearance of the maximize button after step 3?  Does it
     show two overlapping windows or one large window?

(2) How do the frames from before step 2 and after step 3 differ?
     Please use M-: (frame-geometry) and post the =E2=80=98outer-position=
=E2=80=99 and
     =E2=80=98outer-size=E2=80=99 values.

(3) Apart from the problem you reported do

     M-: (set-frame-parameter nil 'fullscreen 'maximized)

     and clicking on the maximize button of the title bar produce frames
     with the same size and position?

(4) Does setting =E2=80=98frame-resize-pixelwise=E2=80=99 to t change any=
thing?

(5) Can you try with a native Windows build or a GTK build and see
     whether they exhibit the same problem?

 > BTW, I forgot to mention that my OS (on which Cygwin is installed) is
 > MS-Windows 10 Enterprise.

Can anyone with a native build on Windows 10 reproduce the problem?

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 10:54:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 05:54:31 2017
Received: from localhost ([127.0.0.1]:44204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWhhH-0008Nj-J6
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 05:54:31 -0500
Received: from mail-lf0-f53.google.com ([209.85.215.53]:36502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWhhF-0008NU-Q6
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 05:54:30 -0500
Received: by mail-lf0-f53.google.com with SMTP id z134so143448022lff.3
 for <25542 <at> debbugs.gnu.org>; Thu, 26 Jan 2017 02:54:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=8Z24Z4yVEJvv5kwe8VqMH61AWGVoGa646hbNnTaJchY=;
 b=sDgc4y4EaYlaKvg+4onXIZw/7Qq5L3UT+nNHGEEh3IeK3lhLUp15xugO503QTSZH7R
 wqRhpKWTymiL3bVsMh6Ea24KG/ckkU86wd1QGl69I899xY0c7J1xd43uE7EUN05ZqDCV
 nSUjx3lGshUGd2uwC91J/U6jeOSelLv0BRLfe4fLxneXoBbCzXFd0tJcNpIlNJzcemJM
 X++PqEccRzOPkhsOyvkY84pmOdGPGzxlAkI+/aaFqJ+P2PWmhjN+taZ54CjWE9K8z3TL
 2CSq7hX+k14Jo9Pnn0hg40hDqqaMjzmuVZF3zsZ86TYSi6n6kRYqVmRKXSH/crbJkdc3
 4umw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=8Z24Z4yVEJvv5kwe8VqMH61AWGVoGa646hbNnTaJchY=;
 b=pDN1QypPuVLkTXVHiUo5jGYHy6zYGvQk6ITK8lXGu0pmy11OMFoaOrFL9jQtsMCuc8
 IVp2jVfQUAwaYG8ocoVru77JX+SaZrCJNl30gPNzWt4k0UlquSQNkGtQCpJvAGQ9pjHL
 qs8rzZRAse858RHY2VNc5ViBDfMD91CJgvol1f98Hg/vTD/DvLZ3jPv3/9rj1c3Q/ARE
 T6M3miJCEh9BI3FN8CP6yC9tyg1brB+OaVdckutmH6beVVtAKw8OXBYQ+w/n4QOORoxy
 xtnInF0Uxprnudqy3fLMHtLc4Qu5x6ztpvdG/6FZv65AQITQVHjQnj/Li75I85vPfJaf
 0d3A==
X-Gm-Message-State: AIkVDXIHIqqk9rUbv6a7TTfouYdLe7Wf3o7YhALXvdJfX9VBEmmXtUD7QG7S5v6vFsWElavzBlHJTnzza8eXoA==
X-Received: by 10.25.67.19 with SMTP id q19mr757508lfa.9.1485428063779; Thu,
 26 Jan 2017 02:54:23 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.24.194 with HTTP; Thu, 26 Jan 2017 02:54:23 -0800 (PST)
In-Reply-To: <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
 <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
From: Dani Moncayo <dmoncayo@HIDDEN>
Date: Thu, 26 Jan 2017 11:54:23 +0100
Message-ID: <CAH8Pv0ib4OhMio1StVomSs-dqoKk=ppoL3Ds-ixdDXiB8UiAMA@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

BTW, I forgot to mention that my OS (on which Cygwin is installed) is
MS-Windows 10 Enterprise.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 10:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 05:20:32 2017
Received: from localhost ([127.0.0.1]:44180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWhAM-0007be-Tt
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 05:20:31 -0500
Received: from mail-lf0-f51.google.com ([209.85.215.51]:32975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWhAL-0007bQ-4W
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 05:20:29 -0500
Received: by mail-lf0-f51.google.com with SMTP id x1so56398798lff.0
 for <25542 <at> debbugs.gnu.org>; Thu, 26 Jan 2017 02:20:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Q0VjjpdZMv6ic0XkfJHYQTvoXIJAeLDOL/RciQDnILQ=;
 b=pDjTPXVMmISgKcB03+MFxJrBhAWgYWhUIqXLqOTXvrxClsklFS/CHgxU+ayenkt4Lc
 x3Qx9SWJlCriCum1RSNaRksWDCprhinxosmFidBKonjUmjAU4DQcN0Fl8zBfglFM5c5l
 gq0rGELXZkxsozjE5hVO8ENL34jYuEGGUlcwqun8XtBbiL2CQZlZU/3rGYoG2R91zcv9
 HOFtP45Ia8tcjBIRhROv0SFkObvQA0KV/hOcWiKl1gI3W4ShUREWUZXggloM7Aawl560
 PQo9tN0W6E2q1q3CdIUPT/zQ0ur6CgDn/kRSwcKexSoDPorqbNKBkZ6vidjIMkx3VDOL
 L2kA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Q0VjjpdZMv6ic0XkfJHYQTvoXIJAeLDOL/RciQDnILQ=;
 b=i8iUfRPr9Neqdpvl3wPc2fTNY6+ySsz6xnT2N5BcSZKPsmPz2XQZGpM7qPqdk6BY/E
 J1ZWIsSvdCo5kDVwFWETzkXtPiSsJhwMSD0ajKxQjF1/nNpUVU6hQhkxdJUO/FxoMD8+
 WjmRTOa9DVbIHdbubSOv1X9hHetvWl56yQ86akD2NuvD80lx/mORm5FbWjz4jNjUWqAV
 +dk3Cmm0/57aFrq1Z1xRa/YXCUSBJL9HUMOqbk/AopkcqjuojyBBmX+K2x8WRNjizG4+
 gRDIqcW8IaK1Ztz+De6gTvaIL5KpMphbkTbqrRfWvFiJNnAET3ViQUiaFj+rduS9KKAH
 u35A==
X-Gm-Message-State: AIkVDXIRymMCAU0+O5RVu5BwMmFTh86TCGUd5f1sMlp/nwcUvW2DO1OrvXWdL8uj3P+QOFK9XfOrVWnLb4s5Ug==
X-Received: by 10.46.83.19 with SMTP id h19mr732538ljb.72.1485426023036; Thu,
 26 Jan 2017 02:20:23 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.24.194 with HTTP; Thu, 26 Jan 2017 02:20:22 -0800 (PST)
In-Reply-To: <5889C6B4.8060506@HIDDEN>
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
 <5889C6B4.8060506@HIDDEN>
From: Dani Moncayo <dmoncayo@HIDDEN>
Date: Thu, 26 Jan 2017 11:20:22 +0100
Message-ID: <CAH8Pv0iHiW-iOBoe56voSffy2t1UfpH4rR0Esaax4E1fQz7sFg@HIDDEN>
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25542
Cc: 25542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

>> I'm using the Emacs distributed with cygwin, which uses the native
>> MS-Windows GUI (package "emacs-w32"):
>
> What is that package "emacs-w32"?

I'm not sure I understand your question, so my answer may be
trivial/useless to you, but anyway:  Cygwin is a distribution of
software organized in packages.  The name of one of those packages is
"emacs-w32" (you can search for it in the cygwin package manager).
Well, that is the package which includes the Emacs binary I'm using.
It's basically a build of Emacs made for the Cygwin platform, but
modified to use the native MS-Windows GUI, instead of X-Window or
another toolkit like GTK+.

HTH.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at 25542 <at> debbugs.gnu.org:


Received: (at 25542) by debbugs.gnu.org; 26 Jan 2017 09:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 04:52:07 2017
Received: from localhost ([127.0.0.1]:44166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWgit-0006xm-5L
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 04:52:07 -0500
Received: from mout.gmx.net ([212.227.15.19]:52878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cWgir-0006xE-Ra
 for 25542 <at> debbugs.gnu.org; Thu, 26 Jan 2017 04:52:06 -0500
Received: from [192.168.1.100] ([213.162.68.41]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M7Xi3-1cKfXd1GJ5-00xJyG; Thu, 26
 Jan 2017 10:51:58 +0100
Message-ID: <5889C6B4.8060506@HIDDEN>
Date: Thu, 26 Jan 2017 10:51:48 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Dani Moncayo <dmoncayo@HIDDEN>, 25542 <at> debbugs.gnu.org
Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized
References: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
In-Reply-To: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:OR+TRv3X9Aw8I6aK3944/XaD5Ub8EEzvekbDNY/cn8yhnOJ0BVv
 6ysfRtBgAiGsbPPwCzhm72OgQ/p95ncCYTxKShPGmKcFOftws/p+f6WnOkWDkzH8jZYAiqd
 FR0DLBkaQOPebzJPfRE7TVNdNhKsVuxW8sDJRjkji9MhayZq96WDh7TOvkOqhHNv56EqQZN
 lQxAKBxbBnGxn4MWqtiLQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:BO0iaIP1R68=:x7ujXWh3GbY6y18fytMG1p
 OlTQ+LEVvXQXbe5hTCbmIFJgEmP1RZFrAOafUPO8KBGbFN1MlJ0+gXNDezswOtzAvnPO//nvR
 eLUe5vpEpIEGQYCVOWgyPuuN7TBjuG7TbLE8qRnW65dNla38xNYwRwT5aLoth/HbG1AALYx7A
 kUxvfXbZMdrnSIr9xdKUa6kE9npOpIhTLExacX8fSKUpB32glW8C2cXvZPZIVhsyZNa558X6K
 bJ4kfbgsy2TwVxCGu1QBKwRSnExDCTztQhHwEWA7shYdT4YT4WCFtPkychIp41Z+8vQfbQKD7
 Vsz3GrglOP0urfXBGiZxrQaaxjFMaOfXilBLa2Q1BBk9Nj6g/iL+vaQD8uqV6Z/n5J1xMLh9c
 jiPSOeN2kWUN1wLGzuIa6IEmBVn9zGO1JPcb8rFSwENw8bkPjq3VSrAs/euiddWhidTUfmPOK
 E5o6UsLrtTmsiiA+lIuyzNocBg3y4+kVtEzafDQnHCKRcey1kkxzH+gkUk/NnQAiwBMz65VPQ
 4jeq43DlVqPKgxy/C+8zKwr/81VBuPMLKIlNfg0ydKfewjFshHu5egqt+xw4n3O2docr36uQy
 uPjxBtSlsrCMlbgSZ6U2g59Ixk/oURrYz3Bc2/ki05rXrsILokhLPf4cuxNfkNZZ9E/k4qpLG
 oBgoL3YwlId4c3Khm3melNK035AA5fq2kW7xWEc+Lv3VScJM5KQTxZ65Bw9kMnOC6tEkv80S2
 wCmbxIosfwjGYJqaS0l2XmoOcVETCvL7hOqzKJDWea11n9BiXxo7LHNXGPPCt34iZqIoPh9lR
 PLtWbOnrNs5mo7gUzP8CsEOVVZ7OA==
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Recipe from "emacs -Q" > > 1. Maximize the frame using
 the mouse -- for example, on MS-Windows, > either click on the "maximize"
 button or double click on the title > bar. > > 2. Switch to fullscreen by
 pressing F11. > > 3. Press F11 again. > > > Expected behavior: The frame goes
 to its previous state (i.e. maximized). [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [213.162.68.41 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 -1.2 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
X-Debbugs-Envelope-To: 25542
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Recipe from "emacs -Q" > > 1. Maximize the frame using
   the mouse -- for example, on MS-Windows, > either click on the "maximize"
   button or double click on the title > bar. > > 2. Switch to fullscreen by
   pressing F11. > > 3. Press F11 again. > > > Expected behavior: The frame goes
    to its previous state (i.e. maximized). [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.2 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [213.162.68.41 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > Recipe from "emacs -Q"
 >
 > 1. Maximize the frame using the mouse -- for example, on MS-Windows,
 > either click on the "maximize" button or double click on the title
 > bar.
 >
 > 2. Switch to fullscreen by pressing F11.
 >
 > 3. Press F11 again.
 >
 >
 > Expected behavior: The frame goes to its previous state (i.e. maximized).

This is the behavior I get with my MinGW builds on Windows XP.

 > Observed behavior: The frame is not maximized (it is smaller that a
 > maximized one, both in height and width).
 >
 >
 > I'm using the Emacs distributed with cygwin, which uses the native
 > MS-Windows GUI (package "emacs-w32"):

What is that package "emacs-w32"?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2017 08:15:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 03:15:49 2017
Received: from localhost ([127.0.0.1]:44135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWfDh-0004lU-60
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 03:15:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWfDg-0004lI-9f
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 03:15:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWfDa-0006sr-1S
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 03:15:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39898)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dmoncayo@HIDDEN>) id 1cWfDZ-0006sm-Tx
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 03:15:41 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49298)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWfDY-0006cZ-TT
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 03:15:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dmoncayo@HIDDEN>) id 1cWfDY-0006sQ-1h
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 03:15:40 -0500
Received: from mail-lf0-x233.google.com ([2a00:1450:4010:c07::233]:35174)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <dmoncayo@HIDDEN>) id 1cWfDX-0006sB-Pm
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 03:15:39 -0500
Received: by mail-lf0-x233.google.com with SMTP id n124so141303338lfd.2
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Jan 2017 00:15:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Co9efPwxaykp6SzygNJdUvpkMZAaqnpdLvL4o36Jpjw=;
 b=Ds/1NehZOM8NY0wWdI653vGilPrU7haXwDi+CwE5ud5Vg+r/ENLa7Et/kmkruKNPZO
 o1SeFX1NGRR5hhmFF+fifH8zqlmEQMIE9YVtRFGrHKsxTiNs3fTwhjZ/uRySLOcA3bgh
 fTZeMx6X428v+j8Ls+bal93tN1FrQ+VAeSMLYXU6APvXyCt9rgd+C1wOXn0lFdMdkQEp
 LajC+vD3QqI5d0Q3K7RXDEjH5tUU1g1NyEPYFX2AIYHT/7zHh45+3oDl+Njjf0TEPyhc
 3ls/Rbmd1ZQeb0I6licWKrwPeZ9LmmQglKnYaBQ0JXbml3E/w2XoYJ39HfE5e2UuIz6I
 bMNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Co9efPwxaykp6SzygNJdUvpkMZAaqnpdLvL4o36Jpjw=;
 b=itb9cfLpDQk08EP6JalIPcZtlRgi3wnoYj9jidYGeUTaLMdGWdLKqiJbFNKqSnc5u4
 yeOxLQRStKa9U5AZ3JwWA/+TAddYxc2sqq5K3Zk5uWTuDEog9sWUOte+oh8+g2X3nKbV
 88Cvp45CD0RdSyl4aZcgkpPBbkF60C2pI0q9C5nvPNDZc+OI6KYXl5/T/5MVz5o3TSb6
 sCXg8F1MR8QL47BUbX40Ksd3bHi7+CXsjfRKoAHIyei8y6MMWUwyA4Ex4x3v3C2LPsEG
 XfVzSEyyuN1A7XD4u0MXfjr3+C4O5gKm1/Md/khlyiq8JZkMkT9gorv/EVtqm5mI7ig0
 T7Mw==
X-Gm-Message-State: AIkVDXKOhzzyOYub9N1ac7+U/6adssnA3Zd5K4h0QXiY5aCXzsJbNO0s7U7lvRC/HREudlzuyj0dSxc8BKkZqA==
X-Received: by 10.25.132.6 with SMTP id g6mr549246lfd.144.1485418538139; Thu,
 26 Jan 2017 00:15:38 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.24.194 with HTTP; Thu, 26 Jan 2017 00:15:37 -0800 (PST)
From: Dani Moncayo <dmoncayo@HIDDEN>
Date: Thu, 26 Jan 2017 09:15:37 +0100
Message-ID: <CAH8Pv0jn3ar0jZADahg8Qfz9rKdDNZ1RFHcSYYaOmdKy4yqoGw@HIDDEN>
Subject: 25.1; Restoring the frame from fullscreen to maximized
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Recipe from "emacs -Q"

1. Maximize the frame using the mouse -- for example, on MS-Windows,
either click on the "maximize" button or double click on the title
bar.

2. Switch to fullscreen by pressing F11.

3. Press F11 again.


Expected behavior: The frame goes to its previous state (i.e. maximized).

Observed behavior: The frame is not maximized (it is smaller that a
maximized one, both in height and width).


I'm using the Emacs distributed with cygwin, which uses the native
MS-Windows GUI (package "emacs-w32"):

In GNU Emacs 25.1.1 (x86_64-unknown-cygwin)
 of 2016-09-17 built on desktop-new
Windowing system distributor 'Microsoft Corp.', version 10.0.10586
Configured using:
 'configure
 --srcdir=/home/kbrown/src/cygemacs/emacs-25.1-1.x86_64/src/emacs-25.1
 --prefix=/usr --exec-prefix=/usr --localstatedir=/var --sysconfdir=/etc
 --docdir=/usr/share/doc/emacs --htmldir=/usr/share/doc/emacs/html -C
 --with-w32 'CFLAGS=-ggdb -O2 -pipe -Wimplicit-function-declaration
 -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-25.1-1.x86_64/build=/usr/src/debug/emacs-25.1-1
 -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-25.1-1.x86_64/src/emacs-25.1=/usr/src/debug/emacs-25.1-1'
 CPPFLAGS= LDFLAGS='

Configured features:
XPM JPEG TIFF GIF PNG IMAGEMAGICK SOUND DBUS NOTIFY ACL GNUTLS LIBXML2
ZLIB TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

-- 
Dani Moncayo




Acknowledgement sent to Dani Moncayo <dmoncayo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25542; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 26 Jan 2017 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.